=== src/ipelets/lua/Makefile ===
# --------------------------------------------------------------------
# Makefile for Lua ipelets (only for install)
# --------------------------------------------------------------------

IPESRCDIR = ../..
include ../../common.mak

LUASCRIPTS = move.lua goodies.lua align.lua euclid.lua \
	symbols.lua search-replace.lua

all: 

install: 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_FILES) $(LUASCRIPTS) $(INSTALL_ROOT)$(IPELETDIR)

ifdef MACOS

IPELETDIR = $(BUILDDIR)/Ipe.app/Contents/Resources/ipelets

app:
	$(INSTALL_DIR) $(IPELETDIR)
	$(INSTALL_FILES) $(LUASCRIPTS) $(IPELETDIR)

endif

# --------------------------------------------------------------------
