=== debian/changelog ===
ipe (7.1.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change libpng12-dev build-dependency to libpng-dev, to ease libpng
    transition. (Closes: #810188)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Jan 2016 11:09:34 +0100

ipe (7.1.10-1) unstable; urgency=medium

  * New upstream.
  * control: adjust build-dependencies.  Now builds with Qt5.
  * patches/fPIC.patch: Remove.  Applied upstream.
  * patches/default-browser.patch: New.  Configure to use sensible-browser.
  * patches/fix-moc.patch: New.  Temporary workaround for #805726.
  * patches/default-editor.patch: Fix error in patch.  Closes: #728480.

 -- Steve M. Robbins <smr@debian.org>  Sat, 21 Nov 2015 10:15:22 -0600

ipe (7.1.8-1) unstable; urgency=medium

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Sun, 13 Sep 2015 09:27:23 -0500
