=== debian/control ===
Source: ipe
Homepage: http://ipe.otfried.org/
Section: graphics
Priority: optional
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/ipe/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/ipe/
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Build-Depends: sharutils,
	       debhelper (>= 9),
	       zlib1g-dev,
	       qtbase5-dev,
	       qtbase5-dev-tools,
	       libfreetype6-dev (>= 2.3.9),
	       libcairo2-dev,
	       libjpeg8-dev,
	       libpng-dev,
	       liblua5.2-dev,
	       gsfonts
Build-Conflicts: libipe1-dev
Standards-Version: 3.9.6

Package: ipe
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, texlive-latex-base, gsfonts
Recommends: lua5.2
Suggests: texlive-latex-recommended
Description: drawing editor for creating figures in PDF or PS formats
 Ipe supports making small figures for inclusion into LaTeX
 documents as well as making multi-page PDF presentations
 Ipe's main features are:
  * Entry of text as LaTeX source code. This makes it easy to enter
    mathematical expressions, and to reuse the LaTeX-macros of the main
    document.  In the display text is displayed as it will appear in
    the figure.
  * Produces pure Postscript/PDF, including the text. Ipe converts the
    LaTeX-source to PDF or Postscript when the file is saved.
  * It is easy to align objects with respect to each other (for
    instance, to place a point on the intersection of two lines, or to
    draw a circle through three given points) using various snapping
    modes.
  * Users can provide ipelets (Ipe plug-ins) to add functionality to
    Ipe.  This way, Ipe can be extended for each task at hand.
  * The text model is based on Unicode, and has been tested with Korean,
     Chinese, and Japanese.
 .
 Package lua5.2 is recommended if using Ipe with LaTeX.
 .
 Package texlive-latex-recommended enables unicode text entry (for
 accented characters).

Package: libipe7.1.10
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ipe library used by ipelets
 This package provides a library used by Ipe and its extensions.
 Ipelets are plug-ins for Ipe that are used to add functionality to
 Ipe.
 .
 Ipe is the drawing editor for creating figures in PDF or PS formats.

Package: libipe-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libipe7.1.10 (= ${binary:Version})
Conflicts: libipe1-dev
Replaces: libipe1-dev
Description: Ipe library used by ipelets (developer files)
 This package provides static libraries and include files needed to
 create Ipelets, plug-ins for Ipe that are used to add functionality
 to Ipe.
 .
 Ipe is the drawing editor for creating figures in PDF or PS formats.
