## ipe 7.2.4

=== src/ipe/Makefile ===
--- 
+++ 
@@ -30,6 +30,8 @@
 moc_headers = appui_qt.h controls_qt.h
 win_sources = main_win.cpp appui_win.cpp pathview_win.cpp pagesorter_win.cpp
 gtk_sources = main_gtk.cpp appui_gtk.cpp
+cocoa_sources = main_cocoa.cpp appui_cocoa.cpp controls_cocoa.cpp \
+	pagesorter_cocoa.cpp
 
 ifdef WIN32
 CXXFLAGS += -mwindows
@@ -44,9 +46,21 @@
 resource = 
 endif
 
-$(TARGET): $(objects) $(resource)
+ifdef IPEUI_COCOA
+
+nib = $(RESOURCEDIR)/mainmenu.nib
+
+$(nib): mainmenu.xib
+	mkdir -p $(RESOURCEDIR)
+	ibtool --compile $(nib) mainmenu.xib
+
+else
+nib = 
+endif
+
+$(TARGET): $(objects) $(resource) $(nib)
 	$(MAKE_BINDIR)
-	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)
+	$(CXX) $(LDFLAGS) -o $@ $(objects) $(resource) $(LIBS)
 
 clean:
 	@-rm -f $(objects) $(resource) $(TARGET) $(DEPEND)
@@ -56,40 +70,28 @@
 
 -include $(DEPEND)
 
-RESOURCES = $(BUILDDIR)/Ipe.app/Contents/Resources
-
-ifdef IPEBUNDLE
+ifdef IPEAPP
 
 app:
-	$(INSTALL_DIR) $(RESOURCES)/scripts
-	$(INSTALL_DIR) $(RESOURCES)/lua
-	$(INSTALL_DIR) $(RESOURCES)/styles
-	$(INSTALL_DIR) $(RESOURCES)/icons
-	$(INSTALL_DIR) $(BUILDDIR)/Ipe.app/Contents/SharedSupport/doc
-	$(INSTALL_SCRIPTS) ../../scripts/* $(RESOURCES)/scripts
-	$(INSTALL_FILES) lua/*.lua $(RESOURCES)/lua
-	$(INSTALL_FILES) ../../styles/basic.isy $(RESOURCES)/styles
-	$(INSTALL_FILES) ../../styles/colors.isy $(RESOURCES)/styles
-	$(INSTALL_FILES) ../../styles/beamer.isy $(RESOURCES)/styles
-	$(INSTALL_FILES) ../../styles/presentation.isy $(RESOURCES)/styles
-	$(INSTALL_FILES) icons/*.png $(RESOURCES)/icons
-	$(INSTALL_FILES) Info.plist $(BUILDDIR)/Ipe.app/Contents
-	$(INSTALL_FILES) ipe.icns $(RESOURCES)
+	$(INSTALL_DIR) $(RESOURCEDIR)/scripts
+	$(INSTALL_DIR) $(RESOURCEDIR)/lua
+	$(INSTALL_DIR) $(RESOURCEDIR)/styles
+	$(INSTALL_DIR) $(RESOURCEDIR)/icons
+	$(INSTALL_DIR) $(BUNDLEDIR)/SharedSupport/doc
+	$(INSTALL_SCRIPTS) ../../scripts/* $(RESOURCEDIR)/scripts
+	$(INSTALL_FILES) lua/*.lua $(RESOURCEDIR)/lua
+	$(INSTALL_FILES) ../../styles/basic.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/colors.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/beamer.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/presentation.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) Info.plist $(BUNDLEDIR)
+	$(INSTALL_FILES) ipe.icns $(RESOURCEDIR)
 	$(INSTALL_FILES) ../../build/doc/* \
-		$(BUILDDIR)/Ipe.app/Contents/SharedSupport/doc
-	$(INSTALL_PROGRAMS) ipe.sh $(BUILDDIR)/Ipe.app/Contents/MacOS
+		$(BUNDLEDIR)/SharedSupport/doc
 
-# This is for building a distributable bundle,
-# and assumes a specific build setup:
+endif
 
-distribution:
-	$(INSTALL_PROGRAMS) $(X11LIBS)/lib/libpng16.16.dylib $(buildlib)
-	$(INSTALL_PROGRAMS) $(X11LIBS)/lib/libpixman-1.0.dylib $(buildlib)
-	$(INSTALL_PROGRAMS) $(X11LIBS)/lib/libfreetype.6.dylib $(buildlib)
-	$(INSTALL_PROGRAMS) $(X11LIBS)/lib/libcairo.2.dylib $(buildlib)
-	$(INSTALL_PROGRAMS) $(X11LIBS)/lib/liblua53.dylib $(buildlib)
-
-else
+ifndef IPEBUNDLE
 
 install: $(TARGET)
 	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR)
