=== debian/changelog ===
ipe (7.2.4-1) unstable; urgency=medium

  * New upstream.
  * patches/build-nostrip.patch: Remove.  Applied upstream.
  * Refreshed other patches.

 -- Steve M. Robbins <smr@debian.org>  Fri, 24 Jun 2016 21:57:11 -0500

ipe (7.1.10-2) unstable; urgency=medium

  * patches/fix-moc.patch: Remove.  Use QT_SELECT to tell qtchooser which
    version of Qt we want.

  * control: Revert back to libjpeg-dev.  Appreciate the gentle prodding
    by all.  Closes: #805852, #814873.

 -- Steve M. Robbins <smr@debian.org>  Tue, 03 May 2016 23:04:20 -0500
