=== debian/control ===
--- 
+++ 
@@ -13,12 +13,12 @@
 	       qtbase5-dev-tools,
 	       libfreetype6-dev (>= 2.3.9),
 	       libcairo2-dev,
-	       libjpeg8-dev,
+	       libjpeg-dev,
 	       libpng-dev,
 	       liblua5.2-dev,
 	       gsfonts
 Build-Conflicts: libipe1-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: ipe
 Architecture: any
@@ -49,7 +49,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.1.10
+Package: libipe7.2.4
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -63,7 +63,7 @@
 Package: libipe-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libipe7.1.10 (= ${binary:Version})
+Depends: ${misc:Depends}, libipe7.2.4 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)
