## ipe 7.2.6

=== src/ipe/Makefile ===
--- 
+++ 
@@ -84,14 +84,15 @@
 	$(INSTALL_FILES) ../../styles/colors.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) ../../styles/beamer.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) ../../styles/presentation.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/decorations.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/note-paper.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/tikz.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) Info.plist $(BUNDLEDIR)
 	$(INSTALL_FILES) ipe.icns $(RESOURCEDIR)
 	$(INSTALL_FILES) ../../build/doc/* \
 		$(BUNDLEDIR)/SharedSupport/doc
 
 endif
-
-ifndef IPEBUNDLE
 
 install: $(TARGET)
 	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR) 
@@ -111,8 +112,12 @@
 	$(INSTALL_FILES) ../../styles/beamer.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
 	$(INSTALL_FILES) ../../styles/presentation.isy \
 			 $(INSTALL_ROOT)$(IPESTYLEDIR)
+	$(INSTALL_FILES) ../../styles/decorations.isy \
+			 $(INSTALL_ROOT)$(IPESTYLEDIR)
+	$(INSTALL_FILES) ../../styles/note-paper.isy \
+			 $(INSTALL_ROOT)$(IPESTYLEDIR)
+	$(INSTALL_FILES) ../../styles/tikz.isy \
+			 $(INSTALL_ROOT)$(IPESTYLEDIR)
 	$(INSTALL_FILES) icons/*.png $(INSTALL_ROOT)$(IPEICONDIR)
 
-endif
-
 # --------------------------------------------------------------------
