## ipe 7.2.7

=== src/Makefile ===
--- 
+++ 
@@ -18,7 +18,6 @@
 	ipecairo \
 	iperender \
 	ipecanvas \
-	ipeview \
 	ipelua \
 	ipeui \
 	ipe
@@ -57,6 +56,8 @@
 
 app: all
 	$(MAKE) --directory=ipelets/lua app
+	$(MAKE) --directory=ipelets/qvoronoi app
 	$(MAKE) --directory=ipe app
+	$(MAKE) --directory=ipe/icons app
 
 # --------------------------------------------------------------------
