=== src/ipe/Makefile ===
--- 
+++ 
@@ -86,7 +86,7 @@
 	$(INSTALL_FILES) ../../styles/presentation.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) ../../styles/decorations.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) ../../styles/note-paper.isy $(RESOURCEDIR)/styles
-	$(INSTALL_FILES) ../../styles/tikz.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/tikz-shapes.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) Info.plist $(BUNDLEDIR)
 	$(INSTALL_FILES) ipe.icns $(RESOURCEDIR)
 	$(INSTALL_FILES) ../../build/doc/* \
@@ -116,7 +116,7 @@
 			 $(INSTALL_ROOT)$(IPESTYLEDIR)
 	$(INSTALL_FILES) ../../styles/note-paper.isy \
 			 $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/tikz.isy \
+	$(INSTALL_FILES) ../../styles/tikz-shapes.isy \
 			 $(INSTALL_ROOT)$(IPESTYLEDIR)
 	$(INSTALL_FILES) icons/*.png $(INSTALL_ROOT)$(IPEICONDIR)
