=== src/ipelib/Makefile ===
--- 
+++ 
@@ -13,13 +13,10 @@
 CPPFLAGS += -I../include  
 ifdef IPEBUNDLE
 CPPFLAGS += -DIPEBUNDLE
-else
-CPPFLAGS += -DIPEFONTMAP=\"$(IPEFONTMAP)\"
 endif
-CPPFLAGS += $(IPE_USE_ICONV) $(ZLIB_CFLAGS) $(ICONV_CFLAGS) \
-	$(JPEG_CFLAGS) $(PNG_CFLAGS)
+CPPFLAGS += $(ZLIB_CFLAGS) $(JPEG_CFLAGS) $(PNG_CFLAGS)
 CXXFLAGS += $(DLL_CFLAGS)
-LIBS += $(JPEG_LIBS) $(ZLIB_LIBS) $(ICONV_LIBS) $(PNG_LIBS)
+LIBS += $(JPEG_LIBS) $(ZLIB_LIBS) $(PNG_LIBS)
 
 all: $(TARGET)
 
@@ -45,6 +42,7 @@
 	ipetoolbase.cpp \
 	ipepdfparser.cpp \
 	ipepdfwriter.cpp \
+	iperesources.cpp \
 	ipestyle.cpp \
 	ipesnap.cpp \
 	ipeutils.cpp \
