=== src/ipelets/lua/Makefile ===
--- 
+++ 
@@ -14,13 +14,11 @@
 	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELETDIR)
 	$(INSTALL_FILES) $(LUASCRIPTS) $(INSTALL_ROOT)$(IPELETDIR)
 
-ifdef MACOS
-
-IPELETDIR = $(BUILDDIR)/Ipe.app/Contents/Resources/ipelets
+ifdef IPEAPP
 
 app:
-	$(INSTALL_DIR) $(IPELETDIR)
-	$(INSTALL_FILES) $(LUASCRIPTS) $(IPELETDIR)
+	$(INSTALL_DIR) $(RESOURCEDIR)/ipelets
+	$(INSTALL_FILES) $(LUASCRIPTS) $(RESOURCEDIR)/ipelets
 
 endif
