=== src/ipelets/qvoronoi/Makefile ===
--- 
+++ 
@@ -12,9 +12,12 @@
 ifdef WIN32
 QHULL_CFLAGS = -I$(IPEDEPS)/include/libqhull
 QHULL_LIBS = -L$(IPEDEPS)/lib -lqhull
+else ifdef MACOS
+QHULL_CFLAGS = -I$(IPEDEPS)/include/libqhull
+QHULL_LIBS = -L$(IPEDEPS)/lib -lqhull
 else
-QHULL_CFLAGS = -I/usr/include/qhull
-QHULL_LIBS = -lqhull
+QHULL_CFLAGS ?= -I/usr/include/qhull
+QHULL_LIBS ?= -lqhull
 endif
 
 TARGET = $(call ipelet_target,qvoronoi)
@@ -45,4 +48,12 @@
 	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELETDIR)
 	$(INSTALL_FILES) $(LUASCRIPT) $(INSTALL_ROOT)$(IPELETDIR)
 
+ifdef IPEAPP
+
+app:
+	$(INSTALL_DIR) $(RESOURCEDIR)/ipelets
+	$(INSTALL_FILES) qvoronoi.lua $(RESOURCEDIR)/ipelets
+
+endif
+
 # --------------------------------------------------------------------
