=== debian/changelog ===
ipe (7.2.7-3) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * debhelper 11
  * Standards-Version: 4.1.3
  * Fix build issue with glibc >= 2.26
    Closes: #887693
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2018 14:23:21 +0100

ipe (7.2.7-2) unstable; urgency=medium

  * Team upload.
  * patches/wheel-zoom-debug.patch: New patch; removes unwanted noisy debug
    output. Closes: #851303.

 -- James Clarke <jrtc27@debian.org>  Wed, 18 Jan 2017 14:18:03 +0000

ipe (7.2.7-1) unstable; urgency=medium

  * New upstream.
  * Remove obsolete debian/ipe.png.uu.

 -- Steve M. Robbins <smr@debian.org>  Tue, 27 Dec 2016 21:42:30 -0600

ipe (7.2.6-1) unstable; urgency=medium

  * New upstream.
  * patches/default-browser.patch: Drop.  Now uses xdg-open for prefs.

 -- Steve M. Robbins <smr@debian.org>  Mon, 10 Oct 2016 04:00:55 -0500
