=== debian/control ===
--- 
+++ 
@@ -1,29 +1,33 @@
 Source: ipe
-Homepage: http://ipe.otfried.org/
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Steve M. Robbins <smr@debian.org>
 Section: graphics
 Priority: optional
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/ipe/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/ipe/
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Steve M. Robbins <smr@debian.org>
 Build-Depends: sharutils,
-	       debhelper (>= 9),
-	       zlib1g-dev,
-	       qtbase5-dev,
-	       qtbase5-dev-tools,
-	       libfreetype6-dev (>= 2.3.9),
-	       libcairo2-dev,
-	       libjpeg-dev,
-	       libpng-dev,
-	       liblua5.2-dev,
-	       gsfonts
+               debhelper (>= 11~),
+               zlib1g-dev,
+               qtbase5-dev,
+               qtbase5-dev-tools,
+               libfreetype6-dev,
+               libcairo2-dev,
+               libjpeg-dev,
+               libpng-dev,
+               liblua5.3-dev,
+               gsfonts
 Build-Conflicts: libipe1-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/ipe.git
+Vcs-Git: https://salsa.debian.org/science-team/ipe.git
+Homepage: http://ipe.otfried.org/
 
 Package: ipe
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, texlive-latex-base, gsfonts
-Recommends: lua5.2
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         texlive-latex-base,
+         gsfonts,
+         xdg-utils
+Recommends: lua5.3
 Suggests: texlive-latex-recommended
 Description: drawing editor for creating figures in PDF or PS formats
  Ipe supports making small figures for inclusion into LaTeX
@@ -44,15 +48,16 @@
   * The text model is based on Unicode, and has been tested with Korean,
      Chinese, and Japanese.
  .
- Package lua5.2 is recommended if using Ipe with LaTeX.
+ Package lua5.3 is recommended if using Ipe with LaTeX.
  .
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.2.4
+Package: libipe7.2.7
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Ipe library used by ipelets
  This package provides a library used by Ipe and its extensions.
  Ipelets are plug-ins for Ipe that are used to add functionality to
@@ -63,7 +68,8 @@
 Package: libipe-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libipe7.2.4 (= ${binary:Version})
+Depends: ${misc:Depends},
+         libipe7.2.7 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)
@@ -72,4 +78,3 @@
  to Ipe.
  .
  Ipe is the drawing editor for creating figures in PDF or PS formats.
-
