## ipe 7.2.9

=== src/Makefile ===
--- 
+++ 
@@ -55,9 +55,9 @@
 	$(MAKE) GOAL=install
 
 app: all
+	$(MAKE) --directory=ipe app
+	$(MAKE) --directory=ipe/icons app
 	$(MAKE) --directory=ipelets/lua app
 	$(MAKE) --directory=ipelets/qvoronoi app
-	$(MAKE) --directory=ipe app
-	$(MAKE) --directory=ipe/icons app
 
 # --------------------------------------------------------------------
