=== src/ipepresenter/Makefile ===
# --------------------------------------------------------------------
# Makefile for IpePresenter
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipepresenter
include ../common.mak

TARGET = $(call exe_target,ipepresenter)

CPPFLAGS += -I../include -I../ipecanvas -I../ipecairo \
	$(UI_CFLAGS) $(CAIRO_CFLAGS) $(ZLIB_CFLAGS)
LIBS += -L$(buildlib) -lipecanvas -lipecairo -lipe \
	$(UI_LIBS) $(CAIRO_LIBS) $(ZLIB_LIBS)

UIC=uic

all: $(TARGET)

sources = 
qt_sources = mainwindow_qt.cpp canvasview_qt.cpp timelabel_qt.cpp
moc_headers = mainwindow_qt.h canvasview_qt.h timelabel_qt.h

ifdef WIN32
CXXFLAGS += -mwindows
LDFLAGS  += -mwindows

resource = $(OBJDIR)/res.o

$(resource): ipe.rc
	$(WINDRES) -i ipe.rc -o $@ --include-dir=.

else
resource = 
endif

ifdef IPEUI_COCOA

nib = $(RESOURCEDIR)/mainmenu.nibn

$(nib): mainmenu.xib
	mkdir -p $(RESOURCEDIR)
	ibtool --compile $(nib) mainmenu.xib

else
nib = 
endif

$(TARGET): $(objects) $(resource) $(nib)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $(objects) $(resource) $(LIBS)

clean:
	@-rm -f $(objects) $(resource) $(TARGET) $(DEPEND) ui_mainwindow.h

$(DEPEND): Makefile ui_mainwindow.h
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR) 
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)

ui_%.h: %.ui
	$(UIC) $< > $@

# --------------------------------------------------------------------
