=== src/ipeui/Makefile ===
--- 
+++ 
@@ -16,11 +16,16 @@
 
 all: $(TARGET)
 
-sources = ipeui_common.cpp 
+sources = ipeui_common.cpp
+cocoa_sources = ipeui_cocoa.cpp
 qt_sources = ipeui_qt.cpp
 moc_headers = ipeui_qt.h
 win_sources = ipeui_win.cpp
 gtk_sources = ipeui_gtk.cpp
+
+ifdef IPEUI_COCOA
+CXXFLAGS += $(IPEOBJCPP)
+endif
 
 $(TARGET): $(objects)
 	$(MAKE_LIBDIR)
