=== debian/changelog ===
ipe (7.2.9-1) unstable; urgency=medium

  [ Steven Robbins ]
  * New upstream.
  * [b1a5fd4] Update packaging for IPE version 7.2.9.
  * [9bd4957] ipe depends on sensible-utils

 -- Steve M. Robbins <smr@debian.org>  Sun, 27 Jan 2019 23:43:18 -0600
