## ipe 7.2.9.1%2Brb2

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
          ${shlibs:Depends},
          texlive-latex-base,
          gsfonts,
+	 sensible-utils,
          xdg-utils
 Recommends: lua5.3
 Suggests: texlive-latex-recommended
@@ -53,7 +54,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.2.7
+Package: libipe7.2.9
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
@@ -69,7 +70,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libipe7.2.7 (= ${binary:Version})
+         libipe7.2.9 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)
