## ipe 7.2.9.1+rb2

=== src/ipecanvas/Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 all: $(TARGET)
 
 sources	= ipetool.cpp ipecanvas.cpp
+cocoa_sources = ipecanvas_cocoa.cpp ipeselector_cocoa.cpp
 win_sources = ipecanvas_win.cpp ipeselector_win.cpp
 gtk_sources = ipecanvas_gtk.cpp ipeselector_gtk.cpp
 qt_sources = ipecanvas_qt.cpp ipeselector_qt.cpp
@@ -37,6 +38,7 @@
 
 install: $(TARGET)
 	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
+	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEHEADERDIR)
 	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
 	$(INSTALL_FILES) *.h $(INSTALL_ROOT)$(IPEHEADERDIR)
 	$(INSTALL_SYMLINKS)
