=== debian/changelog ===
ipe (7.2.9.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>  Thu, 28 Jan 2021 09:15:56 +0800
