## ipe 7.2.13

=== src/Makefile ===
--- 
+++ 
@@ -20,8 +20,9 @@
 	ipecanvas \
 	ipelua \
 	ipeui \
-	ipe
-
+	ipe \
+	ipepresenter \
+	ipecurl
 
 ifdef IPEQVORONOI
 subdirs += ipelets/qvoronoi
@@ -43,6 +44,8 @@
 ipelua: ipelib
 ipescript: ipelib ipelua
 ipe: ipecanvas ipelua
+ipepresenter: ipecanvas
+ipecurl: ipelib
 
 $(subdirs):
 	$(MAKE) --directory=$@ $(GOAL)
@@ -59,5 +62,6 @@
 	$(MAKE) --directory=ipe/icons app
 	$(MAKE) --directory=ipelets/lua app
 	$(MAKE) --directory=ipelets/qvoronoi app
+	$(MAKE) --directory=ipepresenter app
 
 # --------------------------------------------------------------------
