=== src/ipe/Makefile ===
--- 
+++ 
@@ -21,6 +21,10 @@
 CPPFLAGS += -DIPEICONDIR=\"$(IPEICONDIR)\"
 CPPFLAGS += -DIPEDOCDIR=\"$(IPEDOCDIR)\"
 CPPFLAGS += -DIPESTYLEDIR=\"$(IPESTYLEDIR)\"
+endif
+
+ifdef IPECURL
+CPPFLAGS += -DIPECURL
 endif
 
 all: $(TARGET)
@@ -87,6 +91,7 @@
 	$(INSTALL_FILES) ../../styles/decorations.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) ../../styles/note-paper.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) ../../styles/tikz-shapes.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/imperial.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) Info.plist $(BUNDLEDIR)
 	$(INSTALL_FILES) ipe.icns $(RESOURCEDIR)
 	$(INSTALL_FILES) ../../build/doc/* \
@@ -118,6 +123,8 @@
 			 $(INSTALL_ROOT)$(IPESTYLEDIR)
 	$(INSTALL_FILES) ../../styles/tikz-shapes.isy \
 			 $(INSTALL_ROOT)$(IPESTYLEDIR)
+	$(INSTALL_FILES) ../../styles/imperial.isy \
+			 $(INSTALL_ROOT)$(IPESTYLEDIR)
 	$(INSTALL_FILES) icons/*.png $(INSTALL_ROOT)$(IPEICONDIR)
 
 # --------------------------------------------------------------------
