=== src/ipecurl/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipecurl
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipecurl
include ../common.mak

TARGET = $(call exe_target,ipecurl)

CPPFLAGS += -I../include $(CURL_CFLAGS)
LIBS += -L$(buildlib) -lipe $(CURL_LIBS)

ifdef IPECURL

all: $(TARGET)

sources	= ipecurl.cpp

$(TARGET): $(objects)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)

# --------------------------------------------------------------------
endif
