=== src/ipelib/Makefile ===
--- 
+++ 
@@ -13,6 +13,9 @@
 CPPFLAGS += -I../include  
 ifdef IPEBUNDLE
 CPPFLAGS += -DIPEBUNDLE
+endif
+ifdef IPE_NO_IPELIB_VERSION_CHECK
+CPPFLAGS += -DIPE_NO_IPELIB_VERSION_CHECK
 endif
 CPPFLAGS += $(ZLIB_CFLAGS) $(JPEG_CFLAGS) $(PNG_CFLAGS)
 CXXFLAGS += $(DLL_CFLAGS)
