=== src/ipe/icons/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	mode_label mode_lines mode_marks mode_math mode_pan	\
 	mode_paragraph mode_parallelogram mode_polygons         \
 	mode_rectangles1 mode_rectangles2 mode_rectangles3      \
-	mode_rotate                                             \
+	mode_rotate mode_shear mode_graph                       \
 	mode_select mode_shredder mode_splinegons mode_splines	\
 	mode_stretch mode_translate paste pen redo shift_key	\
 	snapangle snapauto snapbd snapctl snapgrid snapint	\
