=== src/ipelets/lua/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include ../../common.mak
 
 LUASCRIPTS = move.lua goodies.lua align.lua euclid.lua \
-	symbols.lua search-replace.lua
+	symbols.lua search-replace.lua selectby.lua
 
 all:
