=== debian/changelog ===
ipe (7.2.13-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:38 +0100

ipe (7.2.13-2) unstable; urgency=medium

  [ Steve Robbins ]
  * Adhere to environment PKG_CONFIG setting, to enable cross-build.
    Closes: #888522. Thanks to Helmut Grohne for the patch.

 -- Steve M. Robbins <smr@debian.org>  Sun, 19 Jan 2020 13:23:26 -0600

ipe (7.2.13-1) unstable; urgency=medium

  [ Steve Robbins ]
  * New upstream version 7.2.13.  Closes: #942780.

 -- Steve M. Robbins <smr@debian.org>  Fri, 17 Jan 2020 12:48:55 -0600
