=== debian/control ===
--- 
+++ 
@@ -54,7 +54,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.2.9
+Package: libipe7.2.13
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
@@ -70,7 +70,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libipe7.2.9 (= ${binary:Version})
+         libipe7.2.13 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)
